summaryrefslogtreecommitdiff
path: root/t/silent-lex.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/silent-lex.sh')
-rwxr-xr-xt/silent-lex.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/t/silent-lex.sh b/t/silent-lex.sh
index ccc9a8f24..ca2164f76 100755
--- a/t/silent-lex.sh
+++ b/t/silent-lex.sh
@@ -17,7 +17,7 @@
# Check silent-rules mode for Lex.
required='cc lex'
-. ./defs || Exit 1
+. ./defs || exit 1
mkdir sub
@@ -70,16 +70,16 @@ $AUTOMAKE --add-missing
$AUTOCONF
# Ensure per-target rules are used, to ensure their coverage below.
-$FGREP 'foo2-foo.c' Makefile.in || Exit 99
-$FGREP 'bar2-bar.c' sub/Makefile.in || Exit 99
+$FGREP 'foo2-foo.c' Makefile.in || exit 99
+$FGREP 'bar2-bar.c' sub/Makefile.in || exit 99
./configure --enable-silent-rules
-$MAKE >stdout || { cat stdout; Exit 1; }
+$MAKE >stdout || { cat stdout; exit 1; }
cat stdout
-$EGREP ' (-c|-o)' stdout && Exit 1
-$EGREP '(mv|ylwrap) ' stdout && Exit 1
+$EGREP ' (-c|-o)' stdout && exit 1
+$EGREP '(mv|ylwrap) ' stdout && exit 1
grep 'LEX .*foo\.' stdout
grep 'LEX .*bar\.' stdout
@@ -95,11 +95,11 @@ grep 'CCLD .*bar2' stdout
# different set of rules.
$MAKE clean
-$MAKE >stdout || { cat stdout; Exit 1; }
+$MAKE >stdout || { cat stdout; exit 1; }
cat stdout
-$EGREP ' (-c|-o)' stdout && Exit 1
-$EGREP '(mv|ylwrap) ' stdout && Exit 1
+$EGREP ' (-c|-o)' stdout && exit 1
+$EGREP '(mv|ylwrap) ' stdout && exit 1
# Don't look for LEX, as probably lex hasn't been re-run.
grep ' CC .*foo\.' stdout
@@ -113,27 +113,27 @@ grep 'CCLD .*bar2' stdout
$MAKE clean
rm -f *foo.c sub/*bar.c
-$MAKE V=1 >stdout || { cat stdout; Exit 1; }
+$MAKE V=1 >stdout || { cat stdout; exit 1; }
cat stdout
grep ' -c ' stdout
grep ' -o ' stdout
grep 'ylwrap ' stdout
-$EGREP '(LEX|CC|CCLD) ' stdout && Exit 1
+$EGREP '(LEX|CC|CCLD) ' stdout && exit 1
# Cleaning and then rebuilding with the same V flag (and without
# removing the generated sources in between) shouldn't trigger a
# different set of rules.
$MAKE clean
-$MAKE V=1 >stdout || { cat stdout; Exit 1; }
+$MAKE V=1 >stdout || { cat stdout; exit 1; }
cat stdout
# Don't look for ylwrap, as probably lex hasn't been re-run.
grep ' -c ' stdout
grep ' -o ' stdout
-$EGREP '(LEX|CC|CCLD) ' stdout && Exit 1
+$EGREP '(LEX|CC|CCLD) ' stdout && exit 1
: